=== debian/changelog ===
avogadrolibs (1.93.0-3) unstable; urgency=medium

  * debian/tests Depends: libgtest-dev

 -- Drew Parsons <dparsons@debian.org>  Wed, 12 Feb 2020 10:54:55 +0800

avogadrolibs (1.93.0-2) unstable; urgency=medium

  * add debian/tests for autopkgtest (currently tests C++ only)

 -- Drew Parsons <dparsons@debian.org>  Tue, 11 Feb 2020 13:46:16 +0800

avogadrolibs (1.93.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.5.0

 -- Drew Parsons <dparsons@debian.org>  Thu, 06 Feb 2020 11:59:39 +0800

avogadrolibs (1.92.1-5) unstable; urgency=medium

  * mark libavogadro2-1 as Multi-Arch: same,
    and libavogadro-doc as Multi-Arch: foreign
  * Depends: openbabel not libopenbabel-dev. Closes: #948769.

 -- Drew Parsons <dparsons@debian.org>  Fri, 17 Jan 2020 18:41:21 +0800

avogadrolibs (1.92.1-4) unstable; urgency=medium

  * build dir uses DEB_HOST_GNU_TYPE not DEB_HOST_MULTIARCH

 -- Drew Parsons <dparsons@debian.org>  Tue, 31 Dec 2019 10:31:32 +1100

avogadrolibs (1.92.1-3) unstable; urgency=medium

  * configure to build documentation only for arch-indep builds

 -- Drew Parsons <dparsons@debian.org>  Tue, 31 Dec 2019 00:51:38 +1100

avogadrolibs (1.92.1-2) unstable; urgency=medium

  * debian/copyright: explicitly declare licences of i18n .po
    translation files.

 -- Drew Parsons <dparsons@debian.org>  Mon, 30 Dec 2019 11:48:13 +1100

avogadrolibs (1.92.1-1) unstable; urgency=low

  * Initial release. (Closes: #942397)
    - This is Avogadro 2, which is a rewrite of the original Avogadro.
      Hence name binary library package as libavogadro2-1 to
      distinguish from the older libavogadro1.
    - utility programs provided in avogadro-utils:
        avobabel
        avocjsontocml
        bodrparse
        encodefile
        qube
        resdataparse
    - documentation for libavogadro provided in libavogadro-doc
  * debian patch fix_spglib_include_path.patch fixes path to spglib.h
  * debian patch build_python3.patch enforces a Python3 build

 -- Drew Parsons <dparsons@debian.org>  Mon, 28 Oct 2019 23:45:44 +0800
