## avogadrolibs 1.93.0+git20200509.e169315

=== debian/changelog ===
avogadrolibs (1.93.0+git20200509.e169315-1) unstable; urgency=medium

  * New upstream snapshot
    - fixes H atom handling during geometry optimization.
    - supports Python3 (drop debian patch build_python3.patch)
  * mark libavogadro-dev as Multi-Arch: same
  * add debian patches:
    - drop_cp2kinput.patch drops the cp2k input plugin,
      since it requires molequeue (upstream Issue#476)
    - script_hashbang.patch adds hashbang to executable plugin script
      libavogadro2-1 Depends: python3 to use it
  * libAvogadroCore*.a static libraries not longer built
  * debian/rules: include /usr/share/dpkg/architecture.mk
  * Build-Depends: qttools5-dev (for Qt linguist and its Find cmake file)
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Wed, 03 Jun 2020 20:16:28 +0800
