=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: science
 Priority: optional
 Build-Depends: cmake,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
                libarchive-dev,
                libeigen3-dev (>> 3.3),
@@ -18,6 +18,7 @@
                python3-dev,
                python3-pybind11,
                libqt5opengl5-dev,
+               qttools5-dev,
                zlib1g-dev
 Build-Depends-Indep: doxygen
 Standards-Version: 4.5.0
@@ -51,7 +52,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: ${misc:Depends},
+Depends: python3,
+         ${misc:Depends},
          ${shlibs:Depends}
 Description: Molecular Graphics and Modelling System (library)
  Avogadro is a molecular graphics and modelling system targeted at small
@@ -63,6 +65,7 @@
 Package: libavogadro-dev
 Architecture: any
 Section: libdevel
+Multi-Arch: same
 Depends: libavogadro2-1 (= ${binary:Version}),
          libeigen3-dev,
          libglew-dev,
