## avogadrolibs 1.93.0+git20201104.926573b

=== debian/changelog ===
avogadrolibs (1.93.0+git20201104.926573b-1) unstable; urgency=medium

  * New upstream snapshot.
  * Standards-Version: 4.5.1
  * use help2man to generate man pages for avobabel and qube
    (help2man -N -n "utility for Avogadro2" -S Avogadro2 
      --version-string='\0' avobabel > avobabel.1)

 -- Drew Parsons <dparsons@debian.org>  Sun, 03 Jan 2021 01:33:43 +1100
